REM Batch RAR Extractor
REM Extracts files from all RAR archives in the current folder
REM Don't forget to set path to WinRAR and copy this script to the neccesary folder
@setlocal
@echo off
set path="C:\Program Files\WinRAR\";%path%
for /F %%i in ('dir /s/b *.rar') do call :do_extract "%%i"
goto :eof

:do_extract
echo %1
mkdir %~1.extracted
pushd %~1.extracted
unrar e %1
popd